curl --request GET \
--url https://api.example.com/api/data-readiness/violations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/data-readiness/violations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/data-readiness/violations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-readiness/violations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-readiness/violations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/data-readiness/violations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-readiness/violations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"violations": [
{
"id": "550e8400-e29b-41d4-a716-446655440010",
"name": "missing_description",
"fqn": "violations.missing_description",
"dimension": {
"id": "550e8400-e29b-41d4-a716-446655440011",
"name": "accuracy",
"assessment_type": "data_quality",
"display_name": "Accuracy"
},
"service": "production_db",
"asset_fqn": "production_db.analytics.public.customers.email",
"asset_version": "v1.0.0",
"severity": "high",
"status": "open",
"workflow_run_id": "550e8400-e29b-41d4-a716-446655440012",
"created_at": "2024-01-15T10:30:00Z",
"display_name": "Missing Description",
"database": "analytics",
"schema": "public",
"table": "customers",
"column": "email",
"details": {
"actual": "null",
"expected": "not_null"
},
"dq_rule_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_by": "admin",
"resolution_notes": "Added missing description to column"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}List violations
List all violation snapshots with optional filtering and pagination.
curl --request GET \
--url https://api.example.com/api/data-readiness/violations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/data-readiness/violations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/data-readiness/violations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-readiness/violations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-readiness/violations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/data-readiness/violations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-readiness/violations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"violations": [
{
"id": "550e8400-e29b-41d4-a716-446655440010",
"name": "missing_description",
"fqn": "violations.missing_description",
"dimension": {
"id": "550e8400-e29b-41d4-a716-446655440011",
"name": "accuracy",
"assessment_type": "data_quality",
"display_name": "Accuracy"
},
"service": "production_db",
"asset_fqn": "production_db.analytics.public.customers.email",
"asset_version": "v1.0.0",
"severity": "high",
"status": "open",
"workflow_run_id": "550e8400-e29b-41d4-a716-446655440012",
"created_at": "2024-01-15T10:30:00Z",
"display_name": "Missing Description",
"database": "analytics",
"schema": "public",
"table": "customers",
"column": "email",
"details": {
"actual": "null",
"expected": "not_null"
},
"dq_rule_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_by": "admin",
"resolution_notes": "Added missing description to column"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Query Parameters
Page number (1-indexed)
x >= 1Items per page
1 <= x <= 100Filter by asset FQN (prefix match)
Filter by service name
Filter by database name
Filter by schema name
Filter by table name
Filter by severity Severity level of a violation.
low, medium, high Filter by status Lifecycle status of a violation.
open, resolved, acknowledged, false_positive Filter by assessment type (metadata or data_quality) Type of assessment a dimension belongs to.
metadata, data_quality Filter by dimension ID
Filter by violation definition
Filter by Prefect workflow run ID
Sort field
created_at, updated_at, severity, status, asset_fqn, service, database_name, schema_name, table_name Sort direction
asc, desc Was this page helpful?

